local queen = getEntity("DialogNPC", "Celeste.Mod.DoonvHelper.Entities.")

function onBegin()
	disableMovement()
	waitUntilOnGround()
	queen.CutsceneModeEnabled = true
	if getFlag("IsHelpingQueen") then
		say("CC_Deltarune_TheEnd_QueenInteractionGood")
	else
		say("CC_Deltarune_TheEnd_QueenInteractionBad")
	end
end
function onEnd()
	queen.CutsceneModeEnabled = false
	enableMovement()
end